Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAnnotationPopup

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
          org.pdfbox.pdmodel.interactive.annotation.PDAnnotationPopup

All Implemented Interfaces:
  COSObjectable

public class PDAnnotationPopup
extends PDAnnotation

This is the class that represents a popup annotation. Introduced in PDF 1.3 specification

Version:
  $Revision: 1.2 $
Author:
  Paul King

Field Summary
`static String` | `SUB_TYPE` The type of annotation.

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`FLAG_HIDDEN, FLAG_INVISIBLE, FLAG_LOCKED, FLAG_NO_ROTATE, FLAG_NO_VIEW, FLAG_NO_ZOOM, FLAG_PRINTED, FLAG_READ_ONLY, FLAG_TOGGLE_NO_VIEW`

Constructor Summary
`PDAnnotationPopup()` Constructor.
`PDAnnotationPopup(COSDictionary field)` Creates a popup annotation from a COSDictionary, expected to be a correct object definition.

Method Summary
`boolean` | `getOpen()` This will retrieve the initial state of the annotation, open Or closed (default closed).
`PDAnnotationMarkup` | `getParent()` This will retrieve the markup annotation which this popup relates to.
`void` | `setOpen(boolean open)` This will set inital state of the annotation, open or closed.
`void` | `setParent(PDAnnotationMarkup annot)` This will set the markup annotation which this popup relates to.

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`createAnnotation, getAction, getActions, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceStream, getBoderStyle, getColour, getContents, getCOSObject, getDictionary, getModifiedDate, getRectangle, isHidden, isInvisible, isLocked, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAction, setActions, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceStream, setBorderStyle, setColour, setContents, setHidden, setInvisible, setLocked, setModifiedDate, setNoRotate, setNoView, setNoZoom, setPrinted, setReadOnly, setRectangle, setToggleNoView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUB_TYPE

    public static final String SUB_TYPE

  The type of annotation.

  See Also:
    Constant Field Values

Constructor Detail

### PDAnnotationPopup

    public PDAnnotationPopup()

  Constructor.

### PDAnnotationPopup

    public PDAnnotationPopup(COSDictionary field)

  Creates a popup annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF objet to represent as a field.

Method Detail

### setOpen

    public void setOpen(boolean open)

  This will set inital state of the annotation, open or closed.

  Parameters:
    `open` - Boolean value, true = open false = closed.

### getOpen

    public boolean getOpen()

  This will retrieve the initial state of the annotation, open Or closed (default closed).

  Returns:
    The initial state, true = open false = closed.

### setParent

    public void setParent(PDAnnotationMarkup annot)

  This will set the markup annotation which this popup relates to.

  Parameters:
    `annot` - the markup annotation.

### getParent

    public PDAnnotationMarkup getParent()

  This will retrieve the markup annotation which this popup relates to.

  Returns:
    The parent markup annotation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD